Subject: bug#17195: TeX-texinfo-mode needs to set add-log-current-defun-function

From: Tassilo Horn <[email-masked]>
Date: Sun, 06 Apr 2014 09:45:24 +0200

Glenn Morris <[email-masked]> writes:

> Package: auctex
> Version: 11.87.2

Why not the current elpa version 11.87.3?  (not that this doesn't have
this defect.)

> Using current Emacs trunk or emacs-24 branch:
>
> emacs -Q
> Install auctex via M-x list-packages and activate it.
> Visit a texinfo file, make some changes, use `C-x 4 a' to add a
> ChangeLog entry. It uses a poor value for the name of the "function"
> that changed, when it should use the node. It works ok in Emacs 24.3.
>
> Following the 2012-12-01 changes to add-log-current-defun in Emacs,
> the AUCTeX texinfo mode needs to set add-log-current-defun-function
> to 'texinfo-current-defun-name, if that function is defined.

I've just done than on AUCTeX master and the auctex elpa branch.  In the
latter, I've released 11.87.4.

Bye,
Tassilo